Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.core.isdl.parser
Class ISDLParserTokenManager

    java.lang.Object
      avrora.core.isdl.parser.ISDLParserTokenManager

All Implemented Interfaces:
  ISDLParserConstants

public class ISDLParserTokenManager
extends java.lang.Object
implements ISDLParserConstants

Field Summary
`protected char` | `curChar`
`java.io.PrintStream` | `debugStream`
`protected SimpleCharStream` | `input_stream`
`static int[]` | `jjnewLexState`
`static java.lang.String[]` | `jjstrLiteralImages`
`static java.lang.String[]` | `lexStateNames`

Fields inherited from interface avrora.core.isdl.parser.ISDLParserConstants
`ADD, AND, ARCHITECTURE, B_AND, B_COMP, B_OR, B_XOR, BIN_LITERAL, BOOLEAN_LITERAL, CHARACTER_LITERAL, COMMA, CYCLES, DECIMAL_LITERAL, DEFAULT, DIGIT, DIV, DOLLAR, ELSE, ENCODING, EOF, EQUAL, EQUALS, EXECUTE, EXTERNAL, FORMAL_COMMENT, FORMAT, GREATER, GREATEREQ, HEX_LITERAL, IDENTIFIER, IF, IN_FORMAL_COMMENT, IN_MULTI_LINE_COMMENT, IN_SINGLE_LINE_COMMENT, INLINE, INSTRUCTION, INTEGER_LITERAL, LBRACKET, LESS, LESSEQ, LETTER, LOCAL, LPAREN, MUL, MULTI_LINE_COMMENT, NOT, NOTEQUAL, OCTAL_LITERAL, OPERAND, OR, PRIORITY, PSEUDO, RBRACKET, REGISTER, RETURN, RPAREN, SEMI, SHIFTLEFT, SHIFTRIGHT, SINGLE_LINE_COMMENT, STRING_LITERAL, SUB, SUBROUTINE, SYNTAX, tokenImage, WHEN, WHERE, XOR`

Constructor Summary
`ISDLParserTokenManager(SimpleCharStream stream)`
`ISDLParserTokenManager(SimpleCharStream stream, int lexState)`

Method Summary
`Token` | `getNextToken()`
`protected Token` | `jjFillToken()`
`void` | `ReInit(SimpleCharStream stream)`
`void` | `ReInit(SimpleCharStream stream, int lexState)`
`void` | `setDebugStream(java.io.PrintStream ds)`
`void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public java.io.PrintStream debugStream

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

### lexStateNames

    public static final java.lang.String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### input_stream

    protected SimpleCharStream input_stream

### curChar

    protected char curChar

Constructor Detail

### ISDLParserTokenManager

    public ISDLParserTokenManager(SimpleCharStream stream)

### ISDLParserTokenManager

    public ISDLParserTokenManager(SimpleCharStream stream,
                                  int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

### ReInit

    public void ReInit(SimpleCharStream stream)

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD